

<?php $__env->startSection('title', __('Booking Request')); ?>
<?php $gtext = gtext(); ?>

<?php $__env->startSection('meta-content'); ?>
	<meta name="keywords" content="<?php echo e($gtext['og_keywords']); ?>" />
	<meta name="description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:title" content="<?php echo e($gtext['og_title']); ?>" />
	<meta property="og:site_name" content="<?php echo e($gtext['site_name']); ?>" />
	<meta property="og:description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="<?php echo e(url()->current()); ?>" />
	<meta property="og:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>" />
	<meta property="og:image:width" content="600" />
	<meta property="og:image:height" content="315" />
	<?php if($gtext['fb_publish'] == 1): ?>
	<meta name="fb:app_id" property="fb:app_id" content="<?php echo e($gtext['fb_app_id']); ?>" />
	<?php endif; ?>
	<meta name="twitter:card" content="summary_large_image">
	<?php if($gtext['twitter_publish'] == 1): ?>
	<meta name="twitter:site" content="<?php echo e($gtext['twitter_id']); ?>">
	<meta name="twitter:creator" content="<?php echo e($gtext['twitter_id']); ?>">
	<?php endif; ?>
	<meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
	<meta name="twitter:title" content="<?php echo e($gtext['og_title']); ?>">
	<meta name="twitter:description" content="<?php echo e($gtext['og_description']); ?>">
	<meta name="twitter:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header'); ?>
<?php echo $__env->make('frontend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main class="main">
	<!-- Page Breadcrumb -->
	<section class="breadcrumb-section" style="background-image: url(<?php echo e($rtdata->cover_img ? asset('public/media/'.$rtdata->cover_img) : ''); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="breadcrumb-card">
						<h2><?php echo e(__('Booking Request')); ?></h2>
						<nav aria-label="breadcrumb">
							<ol class="breadcrumb">
								<li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?></a></li>
								<li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Booking Request')); ?></li>
							</ol>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Page Breadcrumb/ -->
	
	<!-- Inner Section -->
	<section class="inner-section inner-section-bg">
		<div class="container">
			<form novalidate="" data-validate="parsley" id="checkout_formid">
				<?php echo csrf_field(); ?>
				<div class="row">
					<div class="col-lg-7">
						<h5><?php echo e(__('Booking Request Information')); ?></h5>
						<?php if(auth()->guard()->check()): ?>
						<?php else: ?>
						<p><?php echo e(__('Already have an account?')); ?> <strong><a href="<?php echo e(route('frontend.login')); ?>"><?php echo e(__('login')); ?></a></strong></p>
						<?php endif; ?>
						<div class="row">
							<div class="col-md-12">
								<div class="mb-3">
									<input id="name" name="name" type="text" placeholder="<?php echo e(__('Name')); ?>" value="<?php if(isset(Auth::user()->name)): ?> <?php echo e(Auth::user()->name); ?> <?php endif; ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text name_error"></span>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="mb-3">
									<input id="email" name="email" type="email" placeholder="<?php echo e(__('Email Address')); ?>" value="<?php if(isset(Auth::user()->email)): ?> <?php echo e(Auth::user()->email); ?> <?php endif; ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text email_error"></span>
								</div>
							</div>
							<div class="col-md-6">
								<div class="mb-3">
									<input id="phone" name="phone" type="text" placeholder="<?php echo e(__('Phone')); ?>" value="<?php if(isset(Auth::user()->phone)): ?> <?php echo e(Auth::user()->phone); ?> <?php endif; ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text phone_error"></span>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="mb-3">
									<select id="country" name="country" class="form-control parsley-validated" data-required="true">
									<option value=""><?php echo e(__('Country')); ?></option>
									<?php $__currentLoopData = $country_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<option value="<?php echo e($row->country_name); ?>">
										<?php echo e($row->country_name); ?>

									</option>
									<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
									</select>
									<span class="text-danger error-text country_error"></span>
								</div>
							</div>
							<div class="col-md-6">
								<div class="mb-3">
									<input id="state" name="state" type="text" placeholder="<?php echo e(__('State')); ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text state_error"></span>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="mb-3">
									<input id="zip_code" name="zip_code" type="text" placeholder="<?php echo e(__('Zip Code')); ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text zip_code_error"></span>
								</div>
							</div>
							<div class="col-md-6">
								<div class="mb-3">
									<input id="city" name="city" type="text" placeholder="<?php echo e(__('City')); ?>" class="form-control parsley-validated" data-required="true">
									<span class="text-danger error-text city_error"></span>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div class="mb-3">
									<textarea id="address" name="address" placeholder="<?php echo e(__('Address')); ?>" rows="2" class="form-control parsley-validated" data-required="true"><?php if(isset(Auth::user()->address)): ?> <?php echo e(Auth::user()->address); ?> <?php endif; ?></textarea>
									<span class="text-danger error-text address_error"></span>
								</div>
							</div>
						</div>
						
						<?php if(auth()->guard()->check()): ?>
						<?php else: ?>
						<div class="row">
							<div class="col-md-12">
								<div class="checkboxlist">
									<label class="checkbox-title">
										<input id="new_account" name="new_account" type="checkbox"><?php echo e(__('Register an account with above information?')); ?> 
									</label>
								</div>
								<?php if($errors->has('password')): ?>
								<span class="text-danger"><?php echo e($errors->first('password')); ?></span>
								<?php endif; ?>
							</div>
						</div>
						
						<div class="row hideclass" id="new_account_pass">
							<div class="col-md-6">
								<div class="mb-3">
									<input type="password" name="password" id="password" class="form-control" placeholder="<?php echo e(__('Password')); ?>">
									<span class="text-danger error-text password_error"></span>
								</div>
							</div>
							<div class="col-md-6">
								<div class="mb-3">
									<input type="password" name="password_confirmation" id="password_confirmation" class="form-control" placeholder="<?php echo e(__('Confirm password')); ?>">
								</div>
							</div>
						</div>
						<?php endif; ?>
						
						<h5 class="mt10"><?php echo e(__('Payment Method')); ?></h5>
						<div class="row">
							<div class="col-md-12">
								<span class="text-danger error-text payment_method_error"></span>
								<?php if($gtext['stripe_isenable'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_stripe" name="payment_method" type="radio" value="3"><img src="<?php echo e(asset('public/frontend/images/stripe.png')); ?>" alt="Stripe" />
										</label>
									</div>
									<div id="pay_stripe" class="row hideclass">
										<div class="col-md-12">
											<div class="row">
												<div class="col-md-12">
													<div class="mb-3">
														<div class="form-control" id="card-element"></div>
														<span class="card-errors" id="card-errors"></span>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								<?php endif; ?>
								
								<?php if($gtext['isenable_paypal'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_paypal" name="payment_method" type="radio" value="4"><img src="<?php echo e(asset('public/frontend/images/paypal.png')); ?>" alt="Paypal" />
										</label>
									</div>
									<p id="pay_paypal" class="hideclass"><?php echo e(__('Pay online via Paypal')); ?></p>
								</div>
								<?php endif; ?>
								
								<?php if($gtext['isenable_razorpay'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_razorpay" name="payment_method" type="radio" value="5"><img src="<?php echo e(asset('public/frontend/images/razorpay.png')); ?>" alt="Razorpay" />
										</label>
									</div>
									<p id="pay_razorpay" class="hideclass"><?php echo e(__('Pay online via Razorpay')); ?></p>
								</div>
								<?php endif; ?>
								
								<?php if($gtext['isenable_mollie'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_mollie" name="payment_method" type="radio" value="6"><img src="<?php echo e(asset('public/frontend/images/mollie.png')); ?>" alt="Mollie" />
										</label>
									</div>
									<p id="pay_mollie" class="hideclass"><?php echo e(__('Pay online via Mollie')); ?></p>
								</div>
								<?php endif; ?>
								
								<?php if($gtext['cod_isenable'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_cod" name="payment_method" type="radio" value="1"><img src="<?php echo e(asset('public/frontend/images/cash_on_delivery.png')); ?>" alt="Cash on Delivery" />
										</label>
									</div>
									<p id="pay_cod" class="hideclass"><?php echo e($gtext['cod_description']); ?></p>
								</div>
								<?php endif; ?>
								
								<?php if($gtext['bank_isenable'] == 1): ?>
								<div class="payment_card">
									<div class="checkboxlist">
										<label class="checkbox-title">
											<input id="payment_method_bank" name="payment_method" type="radio" value="2"><img src="<?php echo e(asset('public/frontend/images/bank_transfer.png')); ?>" alt="Bank Transfer" />
										</label>
									</div>
									<p id="pay_bank" class="hideclass"><?php echo e($gtext['bank_description']); ?></p>
								</div>
								<?php endif; ?>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div class="mb-3 mt10">
									<textarea name="comments" class="form-control" placeholder="<?php echo e(__('Note')); ?>" rows="2"></textarea>
								</div>
							</div>
						</div>
					</div>
					
					<div class="col-lg-5">
						<div class="sidebar">
							<div class="widget-card">
								<div class="widget-title"><?php echo e(__('Booking Summary')); ?></div>
								<div class="widget-body">
									<div class="row">
										<div class="room-book-card">
											<div class="room-book-img">
												<a href="<?php echo e(route('frontend.room', [$rtdata->id, $rtdata->slug])); ?>">
													<img src="<?php echo e(asset('public/media/'.$rtdata->thumbnail)); ?>" alt="<?php echo e($rtdata->title); ?>" />
												</a>
											</div>
											<div class="room-book-content">
												<div class="room-title">
													<a href="<?php echo e(route('frontend.room', [$rtdata->id, $rtdata->slug])); ?>"><?php echo e($rtdata->title); ?></a>
												</div>
												<div class="room-price">
													<?php if($rtdata->price != ''): ?>
														<?php if($gtext['currency_position'] == 'left'): ?>
														<div class="new-price"><?php echo e($gtext['currency_icon']); ?><?php echo e(NumberFormat($rtdata->price)); ?></div>
														<?php else: ?>
														<div class="new-price"><?php echo e(NumberFormat($rtdata->price)); ?><?php echo e($gtext['currency_icon']); ?></div>
														<?php endif; ?>
													<?php endif; ?>
													<?php if(($rtdata->is_discount == 1) && ($rtdata->old_price !='')): ?>
														<?php if($gtext['currency_position'] == 'left'): ?>
														<div class="old-price"><?php echo e($gtext['currency_icon']); ?><?php echo e(NumberFormat($rtdata->old_price)); ?></div>
														<?php else: ?>
														<div class="old-price"><?php echo e(NumberFormat($rtdata->old_price)); ?><?php echo e($gtext['currency_icon']); ?></div>
														<?php endif; ?>
													<?php endif; ?>
													<div class="per-day-night">/ <?php echo e(__('Night')); ?></div>
												</div>
												<ul class="room-meta">
													<li><?php echo e(__('Adult')); ?> <?php echo e($rtdata->total_adult); ?></li>
													<li><?php echo e(__('Child')); ?> <?php echo e($rtdata->total_child); ?></li>
												</ul>
											</div>
										</div>
									</div>
									
									<div class="row">
										<div class="col-12 mb15">
											<label for="checkin_date" class="form-label"><?php echo e(__('Check In')); ?></label>
											<input type="text" name="checkin_date" id="checkin_date" class="form-control parsley-validated" data-required="true" placeholder="yyyy-mm-dd">
											<span class="text-danger error-text checkin_date_error"></span>
										</div>
										<div class="col-12 mb15">
											<label for="checkout_date" class="form-label"><?php echo e(__('Check Out')); ?></label>
											<input type="text" name="checkout_date" id="checkout_date" class="form-control parsley-validated" data-required="true" placeholder="yyyy-mm-dd">
											<span class="text-danger error-text checkout_date_error"></span>
										</div>
										<div class="col-12 mb15">
											<label for="room" class="form-label"><?php echo e(__('Room')); ?></label>
											<input type="number" name="room" id="room" class="form-control parsley-validated" data-required="true" min="1" max="<?php echo e($total_room); ?>" value="1">
											<span class="text-danger error-text room_error"></span>
										</div>
										<div class="col-12 mb15">
											<div class="r_extra">
												<strong><?php echo e(__('Availability')); ?>:</strong>
												<?php if($total_room > 0): ?>
												<span class="instock"><?php echo e($total_room); ?> <?php echo e(__('Room')); ?></span>
												<?php else: ?>
												<span class="stockout"><?php echo e($total_room); ?> <?php echo e(__('Room')); ?></span>
												<?php endif; ?>
											</div>
										</div>
										<div class="col-12 mb15" id="TotalPrice">
											<table class="table total-price-card">
												<tbody>
													<tr><td><span class="title"><?php echo e(__('Subtotal')); ?></span><span class="price">0</span></td></tr>
													<tr><td><span class="title"><?php echo e(__('Tax')); ?></span><span class="price">0</span></td></tr>
													<tr><td><span class="title"><?php echo e(__('Discount')); ?></span><span class="price">0</span></td></tr>
													<tr><td><span class="title"><?php echo e(__('Total')); ?></span><span class="price">0</span></td></tr>
												</tbody>
											</table>
										</div>
										<div class="col-12">
											<input name="roomtype_id" id="roomtype_id" type="hidden" value="<?php echo e($rtdata->id); ?>" />
											<input name="customer_id" type="hidden" value="<?php if(isset(Auth::user()->id)): ?> <?php echo e(Auth::user()->id); ?> <?php endif; ?>" />
											<input name="razorpay_payment_id" id="razorpay_payment_id" type="hidden" />
											<a id="checkout_submit_form" href="javascript:void(0);" class="btn theme-btn mt10 checkout_btn"><?php echo e(__('Send Booking Request')); ?></a>

											<?php if(Session::has('pt_payment_error')): ?>
											<div class="alert alert-danger">
												<?php echo e(Session::get('pt_payment_error')); ?>

											</div>
											<?php endif; ?>
										</div>
									</div>
								</div>
							</div>
							
							<?php if($gtext['is_publish_contact'] == 1): ?>
							<div class="widget-card">
								<div class="widget-title"><?php echo e(__('Contact')); ?></div>
								<div class="widget-body">
									<p><?php echo e(__('If you need any help, feel free to contact us.')); ?></p>
									
									<?php if($gtext['phone_footer'] != ''): ?>
									<p><strong><?php echo e(__('Phone')); ?>:</strong> <?php echo e($gtext['phone_footer']); ?></p>
									<?php endif; ?>
									
									<?php if($gtext['email_footer'] != ''): ?>
									<p><strong><?php echo e(__('Email')); ?>:</strong> <?php echo e($gtext['email_footer']); ?></p>
									<?php endif; ?>
									
									<?php if($gtext['address_footer'] != ''): ?>
									<p class="mb0"><strong><?php echo e(__('Address')); ?>:</strong> <?php echo e($gtext['address_footer']); ?></p>
									<?php endif; ?>
								</div>	
							</div>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</form>
		</div>
	</section>
	<!-- /Inner Section/ -->	
</main>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<link rel="stylesheet" href="<?php echo e(asset('public/frontend/css/bootstrap-fonticon.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('public/frontend/css/bootstrap-datetimepicker.css')); ?>">
<script src="<?php echo e(asset('public/frontend/js/bootstrap-datetimepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/frontend/js/parsley.min.js')); ?>"></script>
<script type="text/javascript">
var maxRoom = "<?php echo e($total_room); ?>";
var theme_color = "<?php echo e($gtext['theme_color']); ?>";
var site_name = "<?php echo e($gtext['site_name']); ?>";
var validCardNumer = 0;
var TEXT = [];
	TEXT['Please type valid card number'] = "<?php echo e(__('Please type valid card number')); ?>";
</script>
<?php if($gtext['stripe_isenable'] == 1): ?>
<script src="https://js.stripe.com/v3/"></script>
<script type="text/javascript">
	var isenable_stripe = "<?php echo e($gtext['stripe_isenable']); ?>";
	var stripe_key = "<?php echo e($gtext['stripe_key']); ?>";
</script>
<script src="<?php echo e(asset('public/frontend/pages/payment_method.js')); ?>"></script>
<?php endif; ?>

<?php if($gtext['isenable_razorpay'] == 1): ?>
<script src="https://checkout.razorpay.com/v1/checkout.js"></script>
<script type="text/javascript">
	var isenable_razorpay = "<?php echo e($gtext['isenable_razorpay']); ?>";
	var razorpay_key_id = "<?php echo e($gtext['razorpay_key_id']); ?>";
	var razorpay_currency = "<?php echo e($gtext['razorpay_currency']); ?>";
</script>
<?php endif; ?>
<script src="<?php echo e(asset('public/frontend/pages/checkout.js')); ?>"></script>
<?php $__env->stopPush(); ?>
	
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wehostclub608/demo.wehostclub.com/booking/resources/views/frontend/checkout.blade.php ENDPATH**/ ?>