

<?php $__env->startSection('title', __('My Booking')); ?>
<?php $gtext = gtext(); ?>

<?php $__env->startSection('meta-content'); ?>
	<meta name="keywords" content="<?php echo e($gtext['og_keywords']); ?>" />
	<meta name="description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:title" content="<?php echo e($gtext['og_title']); ?>" />
	<meta property="og:site_name" content="<?php echo e($gtext['site_name']); ?>" />
	<meta property="og:description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="<?php echo e(url()->current()); ?>" />
	<meta property="og:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>" />
	<meta property="og:image:width" content="600" />
	<meta property="og:image:height" content="315" />
	<?php if($gtext['fb_publish'] == 1): ?>
	<meta name="fb:app_id" property="fb:app_id" content="<?php echo e($gtext['fb_app_id']); ?>" />
	<?php endif; ?>
	<meta name="twitter:card" content="summary_large_image">
	<?php if($gtext['twitter_publish'] == 1): ?>
	<meta name="twitter:site" content="<?php echo e($gtext['twitter_id']); ?>">
	<meta name="twitter:creator" content="<?php echo e($gtext['twitter_id']); ?>">
	<?php endif; ?>
	<meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
	<meta name="twitter:title" content="<?php echo e($gtext['og_title']); ?>">
	<meta name="twitter:description" content="<?php echo e($gtext['og_description']); ?>">
	<meta name="twitter:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header'); ?>
<?php echo $__env->make('frontend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main class="main">
	<!-- Page Breadcrumb -->
	<section class="breadcrumb-section" style="background-image: url(<?php echo e($gtext['booking_bg'] ? asset('public/media/'.$gtext['booking_bg']) : ''); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="breadcrumb-card">
						<h2><?php echo e(__('My Booking')); ?></h2>
						<nav aria-label="breadcrumb">
							<ol class="breadcrumb">
								<li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?></a></li>
								<li class="breadcrumb-item active" aria-current="page"><?php echo e(__('My Booking')); ?></li>
							</ol>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Page Breadcrumb/ -->
	
	<!-- Inner Section -->
	<section class="inner-section inner-section-bg">
		<div class="container">
			<div class="row my-dashbord">
				<div class="col-sm-12 col-md-4 col-lg-3 col-xl-3">
					<?php echo $__env->make('frontend.partials.my-dashbord-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
				</div>
				<div class="col-sm-12 col-md-8 col-lg-9 col-xl-9">
					<div class="my_card">
						<div class="row">
							<div class="col-lg-12">
								<div class="table-responsive">
									<table class="table table-bordered">
										<thead>
											<tr>
												<th class="text-left" style="width:15%"><?php echo e(__('Booking No')); ?></th>
												<th class="text-center" style="width:12%"><?php echo e(__('Booking Date')); ?></th>
												<th class="text-center" style="width:23%"><?php echo e(__('In / Out Date')); ?></th>
												<th class="text-center" style="width:10%"><?php echo e(__('Total Room')); ?></th>
												<th class="text-center" style="width:15%"><?php echo e(__('Payment Status')); ?></th>
												<th class="text-center" style="width:15%"><?php echo e(__('Booking Status')); ?></th>
												<th class="text-center" style="width:10%"><?php echo e(__('Action')); ?></th>
											</tr>
										</thead>
										<tbody>
											<?php if(count($datalist)>0): ?>
											<?php $__currentLoopData = $datalist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

											<tr>
												<td class="text-left">
													<p><a href="<?php echo e(route('frontend.invoice-details', [$row->id, $row->booking_no])); ?>"><?php echo e($row->booking_no); ?></a></p>
													<?php if($row->booking_status_id == 2): ?>
													<p class="status_card"><span class="in_running"></span><?php echo e(__('Running')); ?></p>
													<?php elseif($row->booking_status_id == 3): ?>
													<p class="status_card"><span class="in_checked_out"></span><?php echo e(__('Checked Out')); ?></p>
													<?php else: ?>
													<?php endif; ?>
												</td>
												<td class="text-center"><?php echo e(date('d-m-Y', strtotime($row->created_at))); ?></td>
												<td class="text-center"><?php echo e(date('d-m-Y', strtotime($row->in_date))); ?> <strong>to</strong> <?php echo e(date('d-m-Y', strtotime($row->out_date))); ?></td>
												<td class="text-center"><?php echo e($row->total_room); ?></td>
												<td class="text-center"><span class="status_btn pstatus_<?php echo e($row->payment_status_id); ?>"><?php echo e($row->pstatus_name); ?></span></td>
												<td class="text-center"><span class="status_btn ostatus_<?php echo e($row->booking_status_id); ?>"><?php echo e($row->bstatus_name); ?></span></td>
												<td class="text-center">
													<a title="<?php echo e(__('Invoice')); ?>" class="mr10" href="<?php echo e(route('frontend.invoice', [$row->id, $row->booking_no])); ?>"><i class="bi bi-cloud-arrow-down"></i></a>
													<a title="<?php echo e(__('View')); ?>" href="<?php echo e(route('frontend.invoice-details', [$row->id, $row->booking_no])); ?>"><i class="bi bi-eye"></i></a>
												</td>
											</tr>
											<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
											<?php else: ?>
											<tr>
												<td class="text-center" colspan="7"><?php echo e(__('No data available')); ?></td>
											</tr>
											<?php endif; ?>
										</tbody>
									</table>
								</div>
								<div class="row mt-15">
									<div class="col-lg-12">
										<?php echo e($datalist->links()); ?>

									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Inner Section/ -->	
</main>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
	var my_dashbord_href = location.href;
	var my_dashbord_elem = '.sidebar-nav li a[href="' + my_dashbord_href + '"]';
	$('ul.sidebar-nav li').parent().removeClass('active');
	$('ul.sidebar-nav li a').parent().removeClass('active');
	$(my_dashbord_elem).addClass('active');
</script>
<?php $__env->stopPush(); ?>	
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wehostclub608/demo.wehostclub.com/booking/resources/views/frontend/my-booking.blade.php ENDPATH**/ ?>