

<?php $__env->startSection('title', $data->title); ?>
<?php $gtext = gtext(); ?>

<?php $__env->startSection('meta-content'); ?>
	<meta name="keywords" content="<?php echo e($data->og_keywords); ?>" />
	<meta name="description" content="<?php echo e($data->og_description); ?>" />
	<meta property="og:title" content="<?php echo e($data->og_title ? $data->og_title : $data->title); ?>" />
	<meta property="og:site_name" content="<?php echo e($gtext['site_name']); ?>" />
	<meta property="og:description" content="<?php echo e($data->og_description); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo e(url()->current()); ?>" />
	<meta property="og:image" content="<?php echo e($data->og_image ? asset('public/media/'.$data->og_image) : asset('public/media/'.$data->thumbnail)); ?>" />
	<meta property="og:image:width" content="600" />
	<meta property="og:image:height" content="315" />
	<?php if($gtext['fb_publish'] == 1): ?>
	<meta name="fb:app_id" property="fb:app_id" content="<?php echo e($gtext['fb_app_id']); ?>" />
	<?php endif; ?>
	<meta name="twitter:card" content="summary_large_image">
	<?php if($gtext['twitter_publish'] == 1): ?>
	<meta name="twitter:site" content="<?php echo e($gtext['twitter_id']); ?>">
	<meta name="twitter:creator" content="<?php echo e($gtext['twitter_id']); ?>">
	<?php endif; ?>
	<meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
	<meta name="twitter:title" content="<?php echo e($data->og_title ? $data->og_title : $data->title); ?>">
	<meta name="twitter:description" content="<?php echo e($data->og_description); ?>">
	<meta name="twitter:image" content="<?php echo e($data->og_image ? asset('public/media/'.$data->og_image) : asset('public/media/'.$data->thumbnail)); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header'); ?>
<?php echo $__env->make('frontend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main class="main">
	<!-- Page Breadcrumb -->
	<section class="breadcrumb-section" style="background-image:  url(<?php echo e($data->thumbnail ? asset('public/media/'.$data->thumbnail) : asset('public/frontend/images/breadcrumb_bg.jpg')); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="breadcrumb-card">
						<h2><?php echo e($data->title); ?></h2>
						<nav aria-label="breadcrumb">
							<ol class="breadcrumb">
								<li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?></a></li>
								<li class="breadcrumb-item active" aria-current="page"><?php echo e($data->title); ?></li>
							</ol>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Page Breadcrumb/ -->
	
	<!-- Inner Section -->
	<section class="inner-section inner-section-bg">
		<div class="container">
			<div class="row">
				<div class="col-12 col-md-12 col-lg-8">
					<div class="blog-details-card">
						<div class="blog-img">
							<img src="<?php echo e(asset('public/media/'.$data->thumbnail)); ?>" alt="<?php echo e($data->title); ?>" />
						</div>
						<div class="blog-content">
							<div class="blog-meta-card">
								<div class="blog-date"><i class="bi bi-alarm"></i><?php echo e(date('d M , Y', strtotime($data->created_at))); ?></div>
								<div class="blog-meta"><i class="bi bi-person"></i><?php echo e(__('By')); ?>, <?php echo e($data->name); ?></div>
							</div>
							<div class="blog-title">
								<h3><?php echo e($data->title); ?></h3>
							</div>
							<div class="articles">
								<div class="entry">
									<?php echo $data->description; ?>
								</div>
							</div>
						</div>
						<div class="share_this">
							<div class="share-title">
								<h5><?php echo e(__('Share this')); ?></h5>
							</div>
							<div class="social-media">
								<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(route('frontend.article', [$data->id, $data->slug])); ?>" target="_blank"><i class="bi bi-facebook"></i></a>
								<a href="https://twitter.com/intent/tweet?text=<?php echo e($data->title); ?>&url=<?php echo e(route('frontend.article', [$data->id, $data->slug])); ?>" target="_blank"><i class="bi bi-twitter"></i></a>
								<a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo e(route('frontend.article', [$data->id, $data->slug])); ?>&title=<?php echo e($data->title); ?>&summary=<?php echo e($data->title); ?>" target="_blank"><i class="bi bi-linkedin"></i></a>
								<a href="https://wa.me/?text=<?php echo e(route('frontend.article', [$data->id, $data->slug])); ?>" target="_blank"><i class="bi bi-whatsapp"></i></a>
							</div>
						</div>
					</div>
				</div>
				<div class="col-12 col-md-12 col-lg-4">
					<div class="sidebar">
						<div class="widget-card">
							<div class="widget-title"><?php echo e(__('Blog Categories')); ?></div>
							<div class="widget-body">
								<ul class="widget-list">
									<?php $__currentLoopData = $blog_categories_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<li>
										<div class="desc">
											<a href="<?php echo e(route('frontend.blog-category', [$row->id, $row->slug])); ?>"><?php echo e($row->name); ?></a>
										</div>
										<div class="count"><?php echo e($row->TotalProduct); ?></div>
									</li>
									<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
								</ul>
							</div>	
						</div>
						
						<div class="widget-card">
							<div class="widget-title"><?php echo e(__('Latest Blog')); ?></div>
							<div class="widget-body">
								<?php $__currentLoopData = $datalist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<div class="latest_blog_card">
									<div class="blog_img">
										<a href="<?php echo e(route('frontend.article', [$row->id, $row->slug])); ?>">
											<img src="<?php echo e(asset('public/media/'.$row->thumbnail)); ?>" alt="<?php echo e($row->title); ?>">
										</a>
									</div>
									<div class="blog_content">
										<h6><a href="<?php echo e(route('frontend.article', [$row->id, $row->slug])); ?>"><?php echo e($row->title); ?></a></h6>
										<div class="blog_date"><?php echo e(date('d M , Y', strtotime($row->created_at))); ?></div>
									</div>
								</div>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							</div>	
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Inner Section/ -->	
</main>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>

<?php $__env->stopPush(); ?>	
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp82\htdocs\relaxly\relaxly-v1.1.1\resources\views/frontend/article.blade.php ENDPATH**/ ?>