

<?php $__env->startSection('title', $data['title']); ?>
<?php $gtext = gtext(); ?>

<?php $__env->startSection('meta-content'); ?>
	<meta name="keywords" content="<?php echo e($gtext['og_keywords']); ?>" />
	<meta name="description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:title" content="<?php echo e($gtext['og_title']); ?>" />
	<meta property="og:site_name" content="<?php echo e($gtext['site_name']); ?>" />
	<meta property="og:description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="<?php echo e(url()->current()); ?>" />
	<meta property="og:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>" />
	<meta property="og:image:width" content="600" />
	<meta property="og:image:height" content="315" />
	<?php if($gtext['fb_publish'] == 1): ?>
	<meta name="fb:app_id" property="fb:app_id" content="<?php echo e($gtext['fb_app_id']); ?>" />
	<?php endif; ?>
	<meta name="twitter:card" content="summary_large_image">
	<?php if($gtext['twitter_publish'] == 1): ?>
	<meta name="twitter:site" content="<?php echo e($gtext['twitter_id']); ?>">
	<meta name="twitter:creator" content="<?php echo e($gtext['twitter_id']); ?>">
	<?php endif; ?>
	<meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
	<meta name="twitter:title" content="<?php echo e($gtext['og_title']); ?>">
	<meta name="twitter:description" content="<?php echo e($gtext['og_description']); ?>">
	<meta name="twitter:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header'); ?>
<?php echo $__env->make('frontend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main class="main">
	<!-- Page Breadcrumb -->
	<section class="breadcrumb-section" style="background-image: url(<?php echo e($gtext['contact_bg'] ? asset('public/media/'.$gtext['contact_bg']) : ''); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="breadcrumb-card">
						<h2><?php echo e($data['title']); ?></h2>
						<nav aria-label="breadcrumb">
							<ol class="breadcrumb">
								<li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?></a></li>
								<li class="breadcrumb-item active" aria-current="page"><?php echo e($data['title']); ?></li>
							</ol>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Page Breadcrumb/ -->

	<!-- Inner Section -->
	<?php if($data['is_publish'] == 1): ?>
	<?php $contact_form = $data['contact_form']; ?>
	<section class="inner-section contact_card">
		<div class="container">
			<div class="row">
				<div class="col-md-8 offset-md-2">
					<h3 class="heading text-center"><?php echo e(__('Contact Info')); ?></h3>
					<?php $contact_info = $data['contact_info']; ?>
					<?php if($contact_info->short_desc != ''): ?>
					<p><?php echo e($contact_info->short_desc); ?></p>
					<?php endif; ?>
				</div>
			</div>
			<div class="contact-info">
				<div class="row">
					<?php if($contact_info->email != ''): ?>
					<div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4 col-xxl-4">
						<div class="info">
							<span class="icon">
								<i class="bi bi-envelope-paper"></i>
							</span>
							<div class="desc">
								<span><?php echo e(__('Email')); ?></span>
								<p><a href="mailto:<?php echo e($contact_info->email); ?>"><?php echo e($contact_info->email); ?></a></p>
							</div>
						</div>
					</div>
					<?php endif; ?>
					
					<?php if($contact_info->phone != ''): ?>
					<div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4 col-xxl-4">
						<div class="info">
							<span class="icon">
								<i class="bi bi-telephone"></i>
							</span>
							<div class="desc">
								<span><?php echo e(__('Phone')); ?></span>
								<p><?php echo e($contact_info->phone); ?></p>
							</div>
						</div>
					</div>
					<?php endif; ?>
					
					<?php if($contact_info->address != ''): ?>
					<div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4 col-xxl-4">
						<div class="info">
							<span class="icon">
								<i class="bi bi-geo-alt"></i>
							</span>
							<div class="desc">
								<span><?php echo e(__('Address')); ?></span>
								<p><?php echo e($contact_info->address); ?></p>
							</div>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
			
			<div class="row">
				<?php if(count($contact_form)>0): ?>
				<?php if($gtext['is_googlemap'] == 0): ?>
				<div class="col-lg-12"> 
				<?php else: ?>
				<div class="col-lg-5">
				<?php endif; ?>
					<div class="contact-form">
						<h3 class="heading"><?php echo e(__('Get In Touch')); ?></h3>
						<form novalidate="" data-validate="parsley" id="contact-form">
							<?php $__currentLoopData = $contact_form; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<?php if($row->is_label == 'yes'): ?>
										<label for="<?php echo e(str_slug($row->name)); ?>"><?php echo e($row->label); ?> <?php echo $row->mandatory == 'yes' ? '<span class="red">*</span>' : ''; ?></label>	
										<?php endif; ?>
										<?php if($row->type == 'text'): ?>
										<input type="text" name="<?php echo e(str_slug($row->name)); ?>" id="<?php echo e(str_slug($row->name)); ?>" placeholder="<?php echo e($row->placeholder); ?>"  class="form-control <?php echo e($row->mandatory == 'yes' ? 'parsley-validated' : ''); ?>" <?php echo e($row->mandatory == 'yes' ? 'data-required="true"' : ''); ?> >
										<?php elseif($row->type == 'email'): ?>
										<input type="email" name="<?php echo e(str_slug($row->name)); ?>" id="<?php echo e(str_slug($row->name)); ?>" placeholder="<?php echo e($row->placeholder); ?>" class="form-control <?php echo e($row->mandatory == 'yes' ? 'parsley-validated' : ''); ?>" <?php echo e($row->mandatory == 'yes' ? 'data-required="true"' : ''); ?>>
										<?php elseif($row->type == 'dropdown'): ?>
										<select name="<?php echo e(str_slug($row->name)); ?>" id="<?php echo e(str_slug($row->name)); ?>" class="chosen-select form-control <?php echo e($row->mandatory == 'yes' ? 'parsley-validated' : ''); ?>" <?php echo e($row->mandatory == 'yes' ? 'data-required="true"' : ''); ?>>
											<?php if($row->dropdown_values != ''): ?>
											<?php $dropdown_array = explode('|', $row->dropdown_values); ?>
											<?php $__currentLoopData = $dropdown_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
											<option value="<?php echo e($option); ?>"><?php echo e($option); ?></option>
											<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
											<?php endif; ?>
										</select>
										<?php elseif($row->type == 'textarea'): ?>
										<textarea name="<?php echo e(str_slug($row->name)); ?>" id="<?php echo e(str_slug($row->name)); ?>" placeholder="<?php echo e($row->placeholder); ?>" class="form-control <?php echo e($row->mandatory == 'yes' ? 'parsley-validated' : ''); ?>" <?php echo e($row->mandatory == 'yes' ? 'data-required="true"' : ''); ?>></textarea>
										<?php endif; ?>
									</div>
								</div>
							</div>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	
							<?php if($gtext['is_recaptcha'] == 1): ?>
							<?php if($data['is_recaptcha'] == 1): ?>
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<div class="g-recaptcha" data-sitekey="<?php echo e($gtext['sitekey']); ?>"></div>
									</div>
								</div>
							</div>
							<?php endif; ?>
							<?php endif; ?>
							<input type="hidden" name="contact_id" value="<?php echo e($contact_id); ?>" />
							<input type="hidden" name="is_captcha" value="<?php echo e($data['is_recaptcha']); ?>" />
							<a id="submit_contact_form" href="javascript:void(0);" class="btn theme-btn">
							<?php echo e(__('Send Message')); ?></a>
						</form>
						<div id="sent_message"></div>
					</div>
				</div>
				<?php endif; ?>
				
				<?php $contact_map = $data['contact_map']; ?>
				<?php if($gtext['is_googlemap'] == 1): ?>
				<div class="col-lg-7">
					<?php if($contact_map->is_google_map == 1): ?>
						<div class="contact-map">
							<div class="google_map" id="google_map"></div>
						</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</section>
	<?php endif; ?>
	<!-- /Inner Section/ -->	
</main>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('public/frontend/js/parsley.min.js')); ?>"></script>
<?php if($data['is_publish'] == 1): ?>
<?php if($gtext['is_googlemap'] == 1): ?>
<?php if($contact_map->is_google_map == 1): ?>
<script type="text/javascript">
function initMap(){
	var latitude = <?php echo e($contact_map->latitude); ?>;
	var longitude = <?php echo e($contact_map->longitude); ?>;
	var zoom = <?php echo e($contact_map->zoom); ?>;
	
	var email = "<?php echo e($contact_info->email); ?>";
	var EmailText = "<?php echo e(__('Email')); ?>";
	var phone = "<?php echo e($contact_info->phone); ?>";
	var PhoneText = "<?php echo e(__('Phone')); ?>";
	var address = "<?php echo e($contact_info->address); ?>";
	var AddressText = "<?php echo e(__('Address')); ?>";
	
	var latlng = {lat: latitude, lng: longitude};
	var map = new google.maps.Map(document.getElementById('google_map'), {
		zoom: zoom,
		center: latlng,
		zoomControl: true,
		scaleControl: false,
		scrollwheel: false,
		disableDoubleClickZoom: true
	});
	var contentString = '<div class="map-tooltip">'+
		'<ul class="map-tooltip-content">'+
			'<li><h2>'+EmailText+'</h2><p>'+email+'</p></li>'+
			'<li><h2>'+PhoneText+'</h2><p>'+phone+'</p></li>'+
			'<li><h2>'+AddressText+'</h2><p>'+address+'</p></li>'+
		'</ul>'+
	'</div>';

	var infowindow = new google.maps.InfoWindow({
		content: contentString
	});

	var marker = new google.maps.Marker({
		position: latlng,
		map: map
	});

	marker.addListener('click', function() {
		infowindow.open(map, marker);
	});
}
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=<?php echo e($gtext['googlemap_apikey']); ?>&callback=initMap"></script>
<?php endif; ?>
<?php endif; ?>

<?php if($data['is_recaptcha'] == 1): ?>
<script src='https://www.google.com/recaptcha/api.js' async defer></script>
<?php endif; ?>
<?php endif; ?>
<script type="text/javascript">
var isreCaptcha = "<?php echo e($data['is_recaptcha']); ?>";
</script>
<script src="<?php echo e(asset('public/frontend/pages/contact_us.js')); ?>"></script>
<?php $__env->stopPush(); ?>	
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp82\htdocs\relaxly\relaxly-v1.1.1\resources\views/frontend/contact.blade.php ENDPATH**/ ?>