

<?php $__env->startSection('title', __('Profile')); ?>
<?php $gtext = gtext(); ?>

<?php $__env->startSection('meta-content'); ?>
	<meta name="keywords" content="<?php echo e($gtext['og_keywords']); ?>" />
	<meta name="description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:title" content="<?php echo e($gtext['og_title']); ?>" />
	<meta property="og:site_name" content="<?php echo e($gtext['site_name']); ?>" />
	<meta property="og:description" content="<?php echo e($gtext['og_description']); ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="<?php echo e(url()->current()); ?>" />
	<meta property="og:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>" />
	<meta property="og:image:width" content="600" />
	<meta property="og:image:height" content="315" />
	<?php if($gtext['fb_publish'] == 1): ?>
	<meta name="fb:app_id" property="fb:app_id" content="<?php echo e($gtext['fb_app_id']); ?>" />
	<?php endif; ?>
	<meta name="twitter:card" content="summary_large_image">
	<?php if($gtext['twitter_publish'] == 1): ?>
	<meta name="twitter:site" content="<?php echo e($gtext['twitter_id']); ?>">
	<meta name="twitter:creator" content="<?php echo e($gtext['twitter_id']); ?>">
	<?php endif; ?>
	<meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
	<meta name="twitter:title" content="<?php echo e($gtext['og_title']); ?>">
	<meta name="twitter:description" content="<?php echo e($gtext['og_description']); ?>">
	<meta name="twitter:image" content="<?php echo e(asset('public/media/'.$gtext['og_image'])); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('header'); ?>
<?php echo $__env->make('frontend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main class="main">
	<!-- Page Breadcrumb -->
	<section class="breadcrumb-section" style="background-image: url(<?php echo e($gtext['profile_bg'] ? asset('public/media/'.$gtext['profile_bg']) : ''); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="breadcrumb-card">
						<h2><?php echo e(__('Profile')); ?></h2>
						<nav aria-label="breadcrumb">
							<ol class="breadcrumb">
								<li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?></a></li>
								<li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Profile')); ?></li>
							</ol>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Page Breadcrumb/ -->
	
	<!-- Inner Section -->
	<section class="inner-section inner-section-bg">
		<div class="container">
			<div class="row my-dashbord">
				<div class="col-sm-12 col-md-4 col-lg-3 col-xl-3">
					<?php echo $__env->make('frontend.partials.my-dashbord-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
				</div>
				<div class="col-sm-12 col-md-8 col-lg-9 col-xl-9">
					<div class="my_card">
						<div class="row">
							<div class="col-lg-12">
								<?php if(Session::has('success')): ?>
								<div class="alert alert-success">
									<?php echo e(Session::get('success')); ?>

								</div>
								<?php endif; ?>
								<?php if(Session::has('fail')): ?>
								<div class="alert alert-danger">
									<?php echo e(Session::get('fail')); ?>

								</div>
								<?php endif; ?>
								<form method="POST" action="<?php echo e(route('frontend.UpdateProfile')); ?>">
									<?php echo csrf_field(); ?>
									<div class="row">
										<div class="col-md-12">
											<div class="mb-3">
												<label for="name"><?php echo e(__('Name')); ?><span class="red">*</span></label>
												<input id="name" name="name" type="text" class="form-control" placeholder="<?php echo e(__('Name')); ?>" value="<?php if(isset(Auth::user()->name)): ?> <?php echo e(Auth::user()->name); ?> <?php endif; ?>" required />
												<?php if($errors->has('name')): ?>
												<span class="text-danger"><?php echo e($errors->first('name')); ?></span>
												<?php endif; ?>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="mb-3">
												<label for="email"><?php echo e(__('Email Address')); ?><span class="red">*</span></label>
												<input id="email" name="email" type="email" class="form-control" placeholder="<?php echo e(__('Email Address')); ?>" value="<?php if(isset(Auth::user()->email)): ?> <?php echo e(Auth::user()->email); ?> <?php endif; ?>" required readonly />
												<?php if($errors->has('email')): ?>
												<span class="text-danger"><?php echo e($errors->first('email')); ?></span>
												<?php endif; ?>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="mb-3">
												<label for="phone"><?php echo e(__('Phone')); ?></label>
												<input id="phone" name="phone" type="text" class="form-control" placeholder="<?php echo e(__('Phone')); ?>" value="<?php if(isset(Auth::user()->phone)): ?> <?php echo e(Auth::user()->phone); ?> <?php endif; ?>" />
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<div class="mb-3">
												<label for="address"><?php echo e(__('Address')); ?></label>
												<textarea id="address" name="address" class="form-control" placeholder="<?php echo e(__('Address')); ?>" rows="4"><?php if(isset(Auth::user()->address)): ?> <?php echo e(Auth::user()->address); ?> <?php endif; ?></textarea>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<?php if($gtext['is_recaptcha'] == 1): ?>
											<div class="mb-3">
												<div class="g-recaptcha" data-sitekey="<?php echo e($gtext['sitekey']); ?>"></div>
												<?php if($errors->has('g-recaptcha-response')): ?>
												<span class="text-danger"><?php echo e($errors->first('g-recaptcha-response')); ?></span>
												<?php endif; ?>
											</div>
											<?php endif; ?>
										</div>
									</div>
									<input name="user_id" type="hidden" value="<?php if(isset(Auth::user()->id)): ?> <?php echo e(Auth::user()->id); ?> <?php endif; ?>" />
									<input type="submit" class="btn theme-btn" value="<?php echo e(__('Update')); ?>" />
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- /Inner Section/ -->	
</main>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<?php if($gtext['is_recaptcha'] == 1): ?>
<script src='https://www.google.com/recaptcha/api.js' async defer></script>
<?php endif; ?>
<script type="text/javascript">
	var my_dashbord_href = location.href;
	var my_dashbord_elem = '.sidebar-nav li a[href="' + my_dashbord_href + '"]';
	$('ul.sidebar-nav li').parent().removeClass('active');
	$('ul.sidebar-nav li a').parent().removeClass('active');
	$(my_dashbord_elem).addClass('active');
</script>
<?php $__env->stopPush(); ?>	
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wehostclub608/demo.wehostclub.com/booking/resources/views/frontend/my-profile.blade.php ENDPATH**/ ?>